/// Use this class as an annotation for describing how specific fields should
/// be treated by the code generator
class CloneKey {
  ///If true the field will be not taken into account when cloning
  final bool ignore;

  ///If true then cloning will use newData.field even if is null
  final bool forceNewData;

  const CloneKey({
    this.ignore = false,
    this.forceNewData = false,
  });
}
